org.apache.poi.hemf.record.emfplus

## Enum HemfPlusHeader.GraphicsVersion

- java.lang.Object
- - java.lang.Enum<HemfPlusHeader.GraphicsVersion>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusHeader.GraphicsVersion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusHeader.GraphicsVersion>
  Enclosing class:
    HemfPlusHeader

      public static enum HemfPlusHeader.GraphicsVersion
      extends java.lang.Enum<HemfPlusHeader.GraphicsVersion>

  The GraphicsVersion enumeration defines versions of operating system graphics that are used to create EMF+ metafiles.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `V1`
    `V1_1`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusHeader.GraphicsVersion` | `valueOf(int id)`
    `static HemfPlusHeader.GraphicsVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusHeader.GraphicsVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V1

          public static final HemfPlusHeader.GraphicsVersion V1

    - #### V1_1

          public static final HemfPlusHeader.GraphicsVersion V1_1

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPlusHeader.GraphicsVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusHeader.GraphicsVersion c : HemfPlusHeader.GraphicsVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusHeader.GraphicsVersion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusHeader.GraphicsVersion valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.